### Method

# GIRepository StructInfo find_method

since: 2.80

#### Declaration

    GIFunctionInfo*
    gi_struct_info_find_method (
      GIStructInfo* info,
      const char* name
    )

#### Description

Obtain the type information for method named `name`.

Available since: 2.80

#### Parameters

`name`

  Type: `const char*`

  A method name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GIFunctionInfo`

The `GIFunctionInfo`, or `NULL` if none was found. Free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.